summaryrefslogtreecommitdiff
path: root/functions
diff options
context:
space:
mode:
Diffstat (limited to 'functions')
-rwxr-xr-xfunctions/defaults.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/functions/defaults.sh b/functions/defaults.sh
index f52578f..03b1554 100755
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -782,7 +782,10 @@ Set_defaults ()
if [ "${LH_BINARY_IMAGES}" = "usb-hdd" ]
then
# Try USB block devices for install media
- LH_BOOTAPPEND_INSTALL="cdrom-detect/try-usb=true ${LH_BOOTAPPEND_INSTALL}"
+ if ! echo "${LH_BOOTAPPEND_INSTALL}" | grep -q try-usb
+ then
+ LH_BOOTAPPEND_INSTALL="cdrom-detect/try-usb=true ${LH_BOOTAPPEND_INSTALL}"
+ fi
fi
if [ -n ${_LH_BOOTAPPEND_PRESEED} ]